/**
* NOTA SOBRE LA LICENCIA DE USO DEL SOFTWARE
* 
* El uso de este software está sujeto a las Condiciones de uso de software que
* puede obtener una copia en la siguiente url:
* https://www.sistemapay.com/aviso-legal
* 
* Sistemapay es titular de todos los derechos de propiedad intelectual e industrial
* del software.
* 
* Quedan expresamente prohibidas la reproducción, la distribución y la
* comunicación pública, incluida su modalidad de puesta a disposición con fines
* distintos a los descritos en las Condiciones de uso.
* 
* Sistemapay se reserva la posibilidad de ejercer las acciones legales que le
* correspondan para hacer valer sus derechos frente a cualquier infracción de
* los derechos de propiedad intelectual y/o industrial.
* 
* @author Sistema de Tarjetas y Medios de Pago S.A., NIF A87992681
* @copyright 2024 Sistema de Tarjetas y Medios de Pago S.A.
* @license   https://www.sistemapay.com/aviso-legal
*/

function toggle(){
    const plazoxEmbed = document.getElementById("plazox-embed");
    const wheelButton = document.getElementById("wheel-button");
    if(plazoxEmbed.classList.contains("show-link")){
        plazoxEmbed.classList.remove("show-link");
        plazoxEmbed.className = "hide-link";
        wheelButton.classList.remove("rotate-left");
    }else{
        plazoxEmbed.classList.remove("hide-link");
        plazoxEmbed.className = "show-link";
        wheelButton.className = "rotate-left";
    }
}
function togglePopupPlazoX(show) {
    var popup = document.getElementById('popup-plazox');
    popup.style.display = show ? 'flex' : 'none';
}

function preventClickClosure(event) {
    event.stopPropagation();
}

function handleBannerClick() {
    togglePopupPlazoX(true);
}

fetch('/modules/plazoxindicator/views/js/eu/floating-button.html')
  .then(response=> response.text())
  .then(text=> document.body.insertAdjacentHTML("beforeend", text));