{*
* NOTA SOBRE LA LICENCIA DE USO DEL SOFTWARE
* 
* El uso de este software está sujeto a las Condiciones de uso de software que
* puede obtener una copia en la siguiente url:
* https://www.sistemapay.com/aviso-legal
* 
* Sistemapay es titular de todos los derechos de propiedad intelectual e industrial
* del software.
* 
* Quedan expresamente prohibidas la reproducción, la distribución y la
* comunicación pública, incluida su modalidad de puesta a disposición con fines
* distintos a los descritos en las Condiciones de uso.
* 
* Sistemapay se reserva la posibilidad de ejercer las acciones legales que le
* correspondan para hacer valer sus derechos frente a cualquier infracción de
* los derechos de propiedad intelectual y/o industrial.
* 
* @author Sistema de Tarjetas y Medios de Pago S.A., NIF A87992681
* @copyright 2024 Sistema de Tarjetas y Medios de Pago S.A.
* @license   https://www.sistemapay.com/aviso-legal
*}

<div class="panel">
    <div class="panel-heading">
        {l s='Configuration' mod='plazoxindicator'}
    </div>
    <div class="panel-body">
        <form
            action="{$smarty.server.PHP_SELF|escape:'html':'UTF-8'}&configure={$smarty.get.configure|escape:'html':'UTF-8'}&token={$smarty.get.token|escape:'html':'UTF-8'}"
            method="post" class="defaultForm form-horizontal" enctype="multipart/form-data">
            <fieldset class="col-lg-12">
                <legend>{l s='Configuración de Imágenes' mod='plazoxindicator'}</legend>
                <div class="form-group">
                    <label class="control-label col-lg-3" for="main_image">{l s='Main Image'
                        mod='plazoxindicator'}</label>
                    <div class="col-lg-9">
                        <input type="file" name="main_image" />
                        {if $main_image}
                        <img src="{$main_image|escape:'html':'UTF-8'}" alt="Main Image" />
                        {/if}
                    </div>
                </div>
            </fieldset>

            <button type="submit" name="submitPlazoxConfig" class="btn btn-primary">
                {l s='Save' mod='plazoxindicator'}
            </button>
        </form>
    </div>
</div>
