{*
* NOTA SOBRE LA LICENCIA DE USO DEL SOFTWARE
* 
* El uso de este software está sujeto a las Condiciones de uso de software que
* puede obtener una copia en la siguiente url:
* https://www.sistemapay.com/aviso-legal
* 
* Sistemapay es titular de todos los derechos de propiedad intelectual e industrial
* del software.
* 
* Quedan expresamente prohibidas la reproducción, la distribución y la
* comunicación pública, incluida su modalidad de puesta a disposición con fines
* distintos a los descritos en las Condiciones de uso.
* 
* Sistemapay se reserva la posibilidad de ejercer las acciones legales que le
* correspondan para hacer valer sus derechos frente a cualquier infracción de
* los derechos de propiedad intelectual y/o industrial.
* 
* @author Sistema de Tarjetas y Medios de Pago S.A., NIF A87992681
* @copyright 2024 Sistema de Tarjetas y Medios de Pago S.A.
* @license   https://www.sistemapay.com/aviso-legal
*}
<style>
    .plazox-product {
        width: 100%;
        margin-top: 16px;
        margin-bottom: 8px;
        height: auto;
        align-items: center;
        display: flex;
        gap: 14px;
    }

    .product-details {
        color: #000000;
        font-weight: 400;
        font-size: 14px;
        line-height: 21px;
        align-items: center;
    }

    .more-info-link{
        color: #FD827A;
        font-weight: 400;
        cursor: pointer;
        font-size: 14px;
        line-height: 21px;
    }
</style>

<div class="plazox-product">
    <img src="../modules/plazoxindicator/views/img/AF_PlazoxLogos_RGB-05.png" style="width: auto; height: 34px"/>
    {if $totalValue >= 60}
        <span class="product-details">{l s='Paga en 3, 6, 9 o 12 meses' mod='plazoxindicator'}</span>
    {else}
        <span class="product-details">{l s='Por' mod='plazoxindicator'}</span>
    {/if}
    <span class="more-info-link" onclick="togglePopupPlazoX(true)"><b>&#9432;</b></span>
</div>

{include file='module:plazoxindicator/views/templates/hook/popup.tpl'}