{*
* NOTA SOBRE LA LICENCIA DE USO DEL SOFTWARE
* 
* El uso de este software está sujeto a las Condiciones de uso de software que
* puede obtener una copia en la siguiente url:
* https://www.sistemapay.com/aviso-legal
* 
* Sistemapay es titular de todos los derechos de propiedad intelectual e industrial
* del software.
* 
* Quedan expresamente prohibidas la reproducción, la distribución y la
* comunicación pública, incluida su modalidad de puesta a disposición con fines
* distintos a los descritos en las Condiciones de uso.
* 
* Sistemapay se reserva la posibilidad de ejercer las acciones legales que le
* correspondan para hacer valer sus derechos frente a cualquier infracción de
* los derechos de propiedad intelectual y/o industrial.
* 
* @author Sistema de Tarjetas y Medios de Pago S.A., NIF A87992681
* @copyright 2024 Sistema de Tarjetas y Medios de Pago S.A.
* @license   https://www.sistemapay.com/aviso-legal
*}
<style>
    .plazox-banner {
        display: flex;
        flex-direction: row;
        align-items: flex-start;
        /*justify-content: start;*/
        /*justify-content: start;*/
        gap: 16px;
        margin: 15px 0;
        background-color: #F0F6FF;
        padding: 15px;
        border: 1px solid #DEDEDE;
        border-radius: 5px;
    }

    .banner-details {
        color: #000000;
        font-weight: 400;
        font-size: 14px;
        line-height: 21px;
        text-align: justify;
    }

    .more-info{
        color: #FD827A;
        font-weight: 400;
        cursor: pointer;
        font-size: 14px;
        line-height: 21px;
    }

    .banner-link {
        color:#3565E0 !important;
        text-decoration: underline;
    }

    .banner-link:hover {
        color:#3565E0 !important;
        text-decoration: underline !important;
    }

    .bloques-column{
        display: flex; 
        flex-direction: column;
    }

    .bloques-row{
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        gap: 16px;
        align-items: center;
    }


    .bloques{
        display: flex; 
        align-items: center;
        text-align: justify;
        gap: 16px;
        line-height: 21px;
    }

    .tarjeta{
        display: flex;
        justify-content: center; 
        align-items: center; 
        height: 34px; 
    }

   @media (min-width: 780px) {
        .mobile{
            display: none;
        }
        .bloques{
            display: flex; 
            align-items: center;
            text-align: justify;
            align-items: center;
            text-align: justify;
            gap: 16px;
            line-height: 21px;
            margin-bottom: 16px;
        }
    }
    @media (max-width: 780px) {
        .desktop{
            display: none;
        } 
        .bloques{
            display: flex; 
            align-items: center;
            text-align: justify;
            gap: 7px;
            line-height: 21px;
            margin-bottom: 8px;
        }
    }

</style>

<div class="plazox-banner">
    <span><b>&#9432;</b></span>
    <div class="bloques-column">
        <div class="bloques" style="margin-bottom: 16px;">
            <div class="bloques-row">
                <div><img src="../modules/plazoxindicator/views/img/AF_PlazoxLogos_RGB-05.png" style="width: auto; height: 34px"/></div>
                <div class="mobile">
                    <div class="tarjeta">
                        <svg height="45px" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                            <path d="M3.5625 13.0625H34.4375M3.5625 14.25H34.4375M8.3125 22.5625H17.8125M8.3125 26.125H13.0625M7.125 
                            30.875H30.875C31.8198 30.875 32.726 30.4997 33.3941 29.8316C34.0622 29.1635 34.4375 28.2573 34.4375 27.3125V10.6875C34.4375 
                            9.74267 34.0622 8.83653 33.3941 8.16843C32.726 7.50033 31.8198 7.125 30.875 7.125H7.125C6.18017 7.125 5.27403 7.50033 4.60593 
                            8.16843C3.93783 8.83653 3.5625 9.74267 3.5625 10.6875V27.3125C3.5625 28.2573 3.93783 29.1635 4.60593 29.8316C5.27403 30.4997 
                            6.18017 30.875 7.125 30.875Z" stroke="black" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                        </svg>
                    </div>
                </div>
            </div>
            <div class="desktop">
                <p class="banner-details" style="margin: 0">  
                    <b>{l s='Para fraccionar esta compra con plazox, selecciona pago con tarjeta.' mod='plazoxindicator'}</b>
                </p>
            </div>
            <div class="desktop">
                <div class="tarjeta">
                    <svg height="45px" viewBox="0 0 36 36" fill="none" xmlns="http://www.w3.org/2000/svg">
                        <path d="M3.5625 13.0625H34.4375M3.5625 14.25H34.4375M8.3125 22.5625H17.8125M8.3125 26.125H13.0625M7.125 30.875H30.875C31.8198 30.875 32.726 30.4997 33.3941 29.8316C34.0622 29.1635 34.4375 28.2573 34.4375 27.3125V10.6875C34.4375 9.74267 34.0622 8.83653 33.3941 8.16843C32.726 7.50033 31.8198 7.125 30.875 7.125H7.125C6.18017 7.125 5.27403 7.50033 4.60593 8.16843C3.93783 8.83653 3.5625 9.74267 3.5625 10.6875V27.3125C3.5625 28.2573 3.93783 29.1635 4.60593 29.8316C5.27403 30.4997 6.18017 30.875 7.125 30.875Z" stroke="black" stroke-width="1.5" stroke-linecap="round" stroke-linejoin="round"/>
                    </svg>
                </div>
            </div>
        </div>
        <div class="mobile">
            <p class="banner-details">  
                <b>{l s='Para fraccionar esta compra con plazox, selecciona pago con tarjeta.' mod='plazoxindicator'}</b>
            </p>
        </div>
        <p class="banner-details" style="color: #707070;">
            {l s='Una vez en la pasarela de pago introduce los datos de tu tarjeta de crédito y elige el número de cuotas.' mod='plazoxindicator'} 
        </p>  
        <span class="more-info" onclick="togglePopupPlazoX(true)">{l s='Más información' mod='plazoxindicator'}</span>
    </div>
</div>

{include file='module:plazoxindicator/views/templates/hook/popup.tpl'}