{*
* NOTA SOBRE LA LICENCIA DE USO DEL SOFTWARE
* 
* El uso de este software está sujeto a las Condiciones de uso de software que
* puede obtener una copia en la siguiente url:
* https://www.sistemapay.com/aviso-legal
* 
* Sistemapay es titular de todos los derechos de propiedad intelectual e industrial
* del software.
* 
* Quedan expresamente prohibidas la reproducción, la distribución y la
* comunicación pública, incluida su modalidad de puesta a disposición con fines
* distintos a los descritos en las Condiciones de uso.
* 
* Sistemapay se reserva la posibilidad de ejercer las acciones legales que le
* correspondan para hacer valer sus derechos frente a cualquier infracción de
* los derechos de propiedad intelectual y/o industrial.
* 
* @author Sistema de Tarjetas y Medios de Pago S.A., NIF A87992681
* @copyright 2024 Sistema de Tarjetas y Medios de Pago S.A.
* @license   https://www.sistemapay.com/aviso-legal
*}
<style>
    .plazox-product {
        align-items: flex-start;
        display: flex;
        justify-content: start;
        gap: 16px;
        margin-top: 15px;
    }

    .plazox-product-logo {
        display: flex;
        justify-content: start;
    }

    .plazox-product-reducido {
        width: 100%;
        height: auto;
        align-items: center;
        display: flex;
        justify-content: start;
        gap: 16px;
        margin-top: 15px;
    }

    .product-details {
        color: #717171;
        font-weight: 400;
        font-size: 16px;
        line-height: 20.8px;
    }

    .more-info-link{
        color: #FD827A;
        font-weight: 400;
        cursor: pointer;
        font-size: 12px;
        line-height: 24px;
    }

</style>

{if $bannerReducido == 0}
    <div class="plazox-product">
        <div class="plazox-product-logo">
            <svg height="40px" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
                viewBox="0 0 245.28 87.31" style="enable-background:new 0 0 245.28 87.31;" xml:space="preserve">
                <style type="text/css">
                    .st0{
                        fill:#1F1F1F;
                    }
                    .st1{
                        fill:#FE8680;
                        }
                    .st2{
                        fill:#C6C6C6;
                        }
                </style>
                <g id="Diseño">
                </g>
                <g id="Info">
                    <g>
                        <g>
                            <g>
                                <path class="st0" d="M7.95,86.06c-3.7,0-6.71-3.01-6.71-6.71V7.95c0-3.7,3.01-6.71,6.71-6.71h229.38c3.7,0,6.71,3.01,6.71,6.71
                                    v71.41c0,3.7-3.01,6.71-6.71,6.71H7.95z"/>
                                <path class="st1" d="M237.33,2.48c3.01,0,5.47,2.45,5.47,5.47v71.41c0,3.01-2.45,5.47-5.47,5.47H7.95
                                    c-3.01,0-5.47-2.45-5.47-5.47V7.95c0-3.01,2.45-5.47,5.47-5.47H237.33 M237.33,0H7.95C3.56,0,0,3.56,0,7.95v71.41
                                    c0,4.39,3.56,7.95,7.95,7.95h229.38c4.39,0,7.95-3.56,7.95-7.95V7.95C245.28,3.56,241.72,0,237.33,0L237.33,0z"/>
                            </g>
                        </g>
                        <path class="st1" d="M176.32,25.4c-1.05-0.85-2.59-0.69-3.44,0.36c0,0,0,0,0,0l-11.53,14.17l-7.64-9.39
                            c-0.85-1.05-2.4-1.21-3.44-0.35c-1.05,0.85-1.21,2.4-0.35,3.44l8.19,10.07l-8.19,10.07c-0.92,0.99-0.86,2.54,0.14,3.46
                            c0.99,0.92,2.54,0.86,3.46-0.14c0.07-0.08,0.14-0.16,0.2-0.25l7.64-9.39l11.53,14.17c0.85,1.05,2.39,1.21,3.44,0.36
                            s1.21-2.39,0.36-3.44l-12.09-14.85l12.09-14.85C177.52,27.79,177.36,26.25,176.32,25.4c-0.01,0-0.01,0-0.01,0 M183.27,43.66
                            l16.12-19.83c0.85-1.05,0.69-2.59-0.36-3.44c-1.05-0.85-2.59-0.69-3.44,0.36l-17.37,21.38c-0.73,0.9-0.73,2.19,0,3.09l17.39,21.36
                            c0.85,1.05,2.39,1.21,3.44,0.36c1.05-0.85,1.21-2.39,0.36-3.44L183.27,43.66z M220.58,43.66l4.4-5.38
                            c0.88-1.03,0.75-2.57-0.27-3.45c-1.03-0.88-2.57-0.75-3.45,0.27c-0.02,0.03-0.05,0.06-0.07,0.09l-5.64,6.93
                            c-0.73,0.9-0.73,2.19,0,3.09l5.64,6.93c0.85,1.05,2.4,1.21,3.44,0.35c1.05-0.85,1.21-2.4,0.35-3.44L220.58,43.66z M213.62,25.4
                            c-1.05-0.85-2.59-0.69-3.44,0.36c0,0,0,0,0,0l-13.32,16.37c-0.73,0.9-0.73,2.19,0,3.09l13.32,16.36c0.83,1.07,2.37,1.26,3.43,0.43
                            c1.07-0.83,1.26-2.37,0.43-3.43c-0.02-0.03-0.05-0.06-0.07-0.09l-12.05-14.83l12.06-14.82C214.84,27.79,214.68,26.25,213.62,25.4
                            C213.63,25.4,213.63,25.39,213.62,25.4 M115.3,53.5h-14.37c1.52-1.86,3.55-4.34,5.74-7.26l8.91-11.88
                            c1.01-1.35,1.35-1.97,1.35-2.76c0-1.07-0.79-1.69-2.14-1.69H96.78c-1.07,0.02-1.93,0.9-1.92,1.97c-0.01,1.05,0.83,1.91,1.88,1.92
                            c0.01,0,0.02,0,0.04,0h14.02c-1.52,1.8-4.05,4.95-5.8,7.26l-9.01,11.88c-1.01,1.35-1.35,1.97-1.35,2.76
                            c0,1.07,0.79,1.69,2.14,1.69h18.52c1.07-0.02,1.93-0.9,1.92-1.97c0.01-1.05-0.83-1.9-1.88-1.91
                            C115.32,53.5,115.31,53.5,115.3,53.5 M133.25,53.22h-0.17c-5.35,0-8.33-3.38-8.33-9.57s2.98-9.57,8.33-9.57h0.17
                            c5.35,0,8.33,3.38,8.33,9.57S138.6,53.22,133.25,53.22 M133.25,29.46h-0.17c-7.37,0-13.45,5.52-13.45,14.19
                            s6.08,14.19,13.45,14.19h0.17c7.38,0,13.45-5.52,13.45-14.19S140.63,29.46,133.25,29.46 M84.12,50.25c0,0.62-0.11,0.85-0.62,1.12
                            c-2.3,1.2-4.84,1.86-7.43,1.92c-4.9,0-7.94-2.76-7.94-9.57c0-6.59,3.04-9.68,8.22-9.68c2.48,0.07,4.9,0.71,7.09,1.86
                            c0.56,0.28,0.67,0.51,0.67,1.18L84.12,50.25z M86.59,29.74c-1.36,0.01-2.46,1.11-2.48,2.48v0.05l-1.41-0.73
                            c-2.53-1.35-4.73-2.08-7.26-2.08c-6.19,0-12.45,5.18-12.45,14.28c0,8.33,4.95,14.07,12.22,14.07c2.48,0,4.56-0.62,7.33-2.08
                            l1.57-0.84v0.17c0,1.37,1.11,2.48,2.47,2.48c1.37,0,2.48-1.11,2.48-2.47c0,0,0,0,0-0.01V32.19c-0.01-1.36-1.11-2.46-2.48-2.48
                            M32.67,53.27c-2.58-0.07-5.1-0.75-7.37-1.97c-0.42-0.17-0.68-0.6-0.62-1.05V37.12c-0.07-0.46,0.19-0.9,0.62-1.07
                            c2.31-1.22,4.87-1.9,7.49-1.97c4.45,0,7.82,2.31,7.82,9.57C40.6,51.08,37.17,53.27,32.67,53.27 M33.68,29.46
                            c-2.37,0-4.73,0.73-7.55,2.25l-1.47,0.79v-0.28c0-1.37-1.11-2.48-2.47-2.48c-1.37,0-2.48,1.11-2.48,2.47c0,0,0,0,0,0v32.76
                            c0,1.37,1.11,2.48,2.48,2.48c1.37,0,2.48-1.11,2.48-2.48V54.91l1.57,0.84c2.64,1.41,4.9,2.08,7.33,2.08
                            c7.26,0,12.16-5.69,12.16-14.19C45.73,35.03,40.5,29.46,33.68,29.46 M54.39,19.85c-1.36,0.01-2.46,1.11-2.48,2.48v32.77
                            c0,1.37,1.11,2.48,2.48,2.48c1.37,0,2.48-1.11,2.48-2.48V22.3c-0.01-1.36-1.11-2.46-2.48-2.48"/>
                    </g>
                </g>
            </svg>
        </div>
        <p class="product-details">
            
            <b>{l s='Paga en 3, 6, 9 o 12 meses' mod='plazoxindicator'}</b> <br> 
            <span class="more-info-link" onclick="togglePopupPlazoX(true)">{l s='¿Qué es plazox?' mod='plazoxindicator'}</span>
            
        </p>
    </div>
{else}
    <div class="plazox-product-reducido">
        <svg height="40px" version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
            viewBox="0 0 396.85 249.45" style="enable-background:new 0 0 396.85 249.45;" xml:space="preserve">
            <style type="text/css">
                .st0{
                    fill:#1F1F1F;
                    }
                .st1{
                    fill:#FE8680;
                    }
                .st2{
                    fill:#C6C6C6;
                    }
            </style>
            <g id="Diseño">
            </g>
            <g id="Info">
                <g>
                    <g>
                        <path class="st0" d="M20.82,34.72c-0.19-0.2-0.28-0.43-0.28-0.69V22.01c0-0.27,0.09-0.5,0.28-0.69c0.19-0.2,0.42-0.29,0.68-0.29
                            h4.07c1.71,0,3,0.35,3.86,1.05c0.49,0.39,0.87,0.89,1.13,1.48c0.27,0.6,0.4,1.28,0.4,2.05c0,0.76-0.13,1.43-0.4,2.03
                            c-0.27,0.6-0.64,1.09-1.13,1.48c-0.87,0.7-2.16,1.05-3.86,1.05h-3.09v3.86c0,0.27-0.1,0.5-0.29,0.69
                            c-0.2,0.2-0.43,0.29-0.69,0.29C21.24,35.01,21.01,34.92,20.82,34.72z M25.37,28.57c1.37,0,2.33-0.27,2.88-0.8
                            c0.5-0.5,0.76-1.22,0.76-2.16c0-0.94-0.25-1.66-0.76-2.16c-0.55-0.53-1.51-0.8-2.88-0.8h-2.88v5.92H25.37z"/>
                        <path class="st0" d="M33.44,34.68c-0.18-0.18-0.26-0.42-0.26-0.71V21.95c0-0.27,0.09-0.5,0.28-0.69s0.42-0.29,0.68-0.29
                            c0.27,0,0.5,0.1,0.69,0.29c0.2,0.2,0.29,0.43,0.29,0.69v11.38h6.05c0.24,0,0.43,0.08,0.59,0.23c0.15,0.15,0.23,0.35,0.23,0.59
                            c0,0.22-0.08,0.41-0.23,0.57c-0.15,0.15-0.35,0.23-0.59,0.23h-7.04C33.85,34.95,33.62,34.86,33.44,34.68z"/>
                        <path class="st0" d="M43.41,34.76c-0.18-0.17-0.27-0.38-0.27-0.63c0-0.14,0.03-0.3,0.1-0.47c0.07-0.17,0.11-0.29,0.13-0.35
                            l4.47-11.09c0.34-0.84,0.87-1.26,1.6-1.26c0.39,0,0.71,0.11,0.97,0.33s0.46,0.53,0.63,0.93l4.73,11.13
                            c0.14,0.34,0.21,0.59,0.21,0.76c0,0.25-0.1,0.47-0.29,0.64c-0.2,0.17-0.42,0.26-0.67,0.26c-0.24,0-0.43-0.07-0.57-0.2
                            c-0.14-0.13-0.27-0.33-0.38-0.58L53,31.67h-6.97l-0.97,2.52c-0.11,0.28-0.25,0.49-0.4,0.62c-0.15,0.13-0.35,0.2-0.59,0.2
                            C43.81,35.01,43.59,34.93,43.41,34.76z M52.37,30.12l-1.18-2.9c-0.62-1.5-1.2-2.96-1.74-4.39h-0.02c-0.6,1.6-1.16,3.06-1.68,4.39
                            l-1.13,2.9H52.37z"/>
                        <path class="st0" d="M57.69,34.75c-0.18-0.13-0.27-0.32-0.27-0.56c0-0.14,0.04-0.29,0.13-0.46s0.22-0.4,0.42-0.69l5.08-7.24
                            c0.71-1.01,1.48-2.06,2.29-3.15h-7.01c-0.22,0-0.41-0.08-0.57-0.23c-0.15-0.15-0.23-0.34-0.23-0.57c0-0.24,0.08-0.43,0.23-0.59
                            c0.15-0.15,0.34-0.23,0.57-0.23h8.46c0.29,0,0.53,0.07,0.71,0.2c0.18,0.13,0.27,0.32,0.27,0.56c0,0.14-0.04,0.29-0.13,0.46
                            s-0.22,0.4-0.42,0.69l-5.08,7.27c-0.71,1.02-1.35,1.89-1.91,2.6c-0.08,0.13-0.16,0.23-0.22,0.31s-0.12,0.15-0.16,0.21h7.2
                            c0.22,0,0.41,0.08,0.57,0.23c0.15,0.15,0.23,0.35,0.23,0.59c0,0.22-0.07,0.41-0.22,0.57s-0.34,0.23-0.58,0.23H58.4
                            C58.11,34.95,57.87,34.88,57.69,34.75z"/>
                        <path class="st0" d="M72.25,34.26c-1.04-0.6-1.87-1.45-2.49-2.54c-0.62-1.09-0.92-2.33-0.92-3.72c0-1.39,0.31-2.62,0.92-3.72
                            c0.62-1.09,1.45-1.94,2.49-2.55c1.04-0.61,2.19-0.91,3.43-0.91s2.39,0.3,3.43,0.91c1.04,0.61,1.87,1.46,2.49,2.55
                            s0.92,2.33,0.92,3.72c0,1.39-0.31,2.62-0.92,3.72c-0.62,1.09-1.45,1.94-2.49,2.54c-1.04,0.6-2.19,0.9-3.43,0.9
                            S73.29,34.86,72.25,34.26z M78.18,32.67c0.73-0.41,1.3-1.02,1.71-1.82c0.41-0.8,0.62-1.75,0.62-2.86c0-1.12-0.21-2.08-0.62-2.88
                            c-0.41-0.8-0.98-1.4-1.71-1.82c-0.73-0.41-1.56-0.62-2.5-0.62c-0.94,0-1.77,0.21-2.5,0.62c-0.73,0.41-1.3,1.02-1.71,1.82
                            c-0.41,0.8-0.62,1.76-0.62,2.88c0,1.11,0.21,2.06,0.62,2.86c0.41,0.8,0.98,1.4,1.71,1.82c0.73,0.41,1.56,0.62,2.5,0.62
                            C76.62,33.29,77.46,33.08,78.18,32.67z"/>
                        <path class="st0" d="M83.59,34.77c-0.16-0.16-0.24-0.36-0.24-0.6c0-0.21,0.1-0.45,0.29-0.71l4.33-5.82l-3.93-5.1
                            c-0.2-0.25-0.29-0.5-0.29-0.73c0-0.22,0.08-0.42,0.25-0.59c0.17-0.17,0.38-0.25,0.63-0.25c0.17,0,0.32,0.04,0.46,0.13
                            c0.14,0.08,0.29,0.24,0.46,0.46l3.63,4.77l3.49-4.79c0.14-0.2,0.27-0.34,0.4-0.43c0.13-0.09,0.28-0.14,0.46-0.14
                            c0.24,0,0.44,0.08,0.6,0.24c0.16,0.16,0.24,0.36,0.24,0.6c0,0.21-0.1,0.45-0.29,0.71l-3.82,5.12l4.47,5.8
                            c0.2,0.25,0.29,0.5,0.29,0.74c0,0.22-0.08,0.42-0.25,0.59s-0.38,0.25-0.63,0.25c-0.17,0-0.32-0.04-0.46-0.13
                            c-0.14-0.08-0.29-0.24-0.46-0.46l-4.18-5.46l-3.99,5.48c-0.14,0.2-0.27,0.34-0.4,0.43s-0.28,0.14-0.46,0.14
                            C83.95,35.01,83.75,34.93,83.59,34.77z"/>
                        <path class="st0" d="M30.7,57.44c0.15,0.27,0.23,0.49,0.23,0.67c0,0.25-0.09,0.47-0.28,0.64s-0.42,0.26-0.68,0.26
                            c-0.18,0-0.34-0.05-0.47-0.15c-0.13-0.1-0.26-0.25-0.39-0.46l-2.54-4.41c-0.42,0.03-0.76,0.04-1.03,0.04h-3.05v3.99
                            c0,0.27-0.1,0.5-0.29,0.69c-0.2,0.2-0.43,0.29-0.69,0.29c-0.27,0-0.49-0.1-0.68-0.29s-0.28-0.43-0.28-0.69V46.01
                            c0-0.27,0.09-0.5,0.28-0.69c0.19-0.2,0.42-0.29,0.68-0.29h3.99c0.92,0,1.72,0.1,2.39,0.29c0.67,0.2,1.26,0.51,1.76,0.95
                            c0.43,0.38,0.76,0.85,0.99,1.41c0.22,0.56,0.34,1.18,0.34,1.85c0,0.69-0.12,1.31-0.35,1.87s-0.56,1.04-1,1.43
                            c-0.36,0.32-0.78,0.57-1.24,0.76L30.7,57.44z M28.18,51.7c0.55-0.48,0.82-1.2,0.82-2.16c0-0.97-0.27-1.69-0.82-2.16
                            c-0.56-0.49-1.53-0.74-2.9-0.74h-2.79v5.8h2.79C26.63,52.44,27.59,52.19,28.18,51.7z"/>
                        <path class="st0" d="M36.28,58.22c-1-0.62-1.77-1.48-2.32-2.56c-0.55-1.08-0.82-2.3-0.82-3.64c0-1.41,0.31-2.67,0.92-3.76
                            c0.62-1.09,1.45-1.94,2.5-2.54c1.05-0.6,2.2-0.9,3.44-0.9c1.01,0,1.98,0.22,2.92,0.65c0.94,0.43,1.71,1.04,2.31,1.81
                            c0.28,0.36,0.42,0.67,0.42,0.92c0,0.21-0.08,0.4-0.23,0.56C45.27,48.92,45.07,49,44.84,49c-0.27,0-0.54-0.14-0.82-0.42
                            c-1.29-1.29-2.66-1.93-4.12-1.93c-1.48,0-2.65,0.48-3.49,1.43c-0.84,0.95-1.26,2.25-1.26,3.91c0,1.76,0.43,3.1,1.29,4
                            c0.86,0.9,2.06,1.35,3.6,1.35c0.59,0,1.25-0.1,1.98-0.29c0.73-0.2,1.41-0.45,2.03-0.78c0.13-0.06,0.2-0.11,0.23-0.17
                            c0.03-0.06,0.04-0.15,0.04-0.29v-2.46h-3.09c-0.21,0-0.39-0.07-0.55-0.22c-0.15-0.15-0.23-0.33-0.23-0.54
                            c0-0.21,0.08-0.39,0.23-0.55c0.15-0.15,0.34-0.23,0.55-0.23h4.1c0.59,0,0.88,0.28,0.88,0.84v5.42c0,0.27-0.09,0.49-0.27,0.67
                            c-0.18,0.18-0.41,0.27-0.67,0.27c-0.27,0-0.49-0.09-0.67-0.27c-0.18-0.18-0.27-0.41-0.27-0.67v-0.29l-0.8,0.4
                            c-0.69,0.35-1.33,0.6-1.93,0.76c-0.6,0.15-1.22,0.23-1.85,0.23C38.44,59.16,37.28,58.85,36.28,58.22z"/>
                        <path class="st0" d="M59.21,52.85c0.41,0.6,0.62,1.31,0.62,2.13c0,0.56-0.09,1.08-0.28,1.55c-0.19,0.48-0.47,0.89-0.83,1.24
                            c-0.83,0.78-2.05,1.18-3.67,1.18h-4.83c-0.27,0-0.49-0.1-0.68-0.29c-0.19-0.2-0.28-0.43-0.28-0.69V46.01
                            c0-0.27,0.09-0.5,0.28-0.69c0.19-0.2,0.42-0.29,0.68-0.29h4.28c0.74,0,1.39,0.08,1.95,0.23s1.04,0.41,1.45,0.76
                            c0.76,0.64,1.13,1.5,1.13,2.56c0,0.63-0.13,1.21-0.4,1.74s-0.64,0.95-1.13,1.26C58.23,51.83,58.8,52.25,59.21,52.85z M51.2,51.12
                            h3.38c0.88,0,1.54-0.23,1.97-0.69c0.38-0.41,0.57-0.95,0.57-1.62c0-0.76-0.23-1.32-0.69-1.68c-0.24-0.2-0.54-0.33-0.89-0.39
                            c-0.36-0.06-0.77-0.09-1.23-0.09H51.2V51.12z M57.83,54.85c0-0.76-0.24-1.32-0.71-1.68c-0.24-0.18-0.54-0.31-0.9-0.39
                            s-0.82-0.12-1.36-0.12H51.2v4.66h3.57c0.56,0,1.03-0.05,1.42-0.16c0.38-0.1,0.7-0.28,0.96-0.51
                            C57.6,56.23,57.83,55.63,57.83,54.85z"/>
                        <path class="st0" d="M20.82,82.72c-0.19-0.2-0.28-0.43-0.28-0.69V70.01c0-0.29,0.09-0.53,0.26-0.71c0.17-0.18,0.41-0.27,0.7-0.27
                            h7.22c0.24,0,0.43,0.08,0.59,0.23c0.15,0.15,0.23,0.35,0.23,0.59c0,0.22-0.08,0.41-0.23,0.57c-0.15,0.15-0.35,0.23-0.59,0.23
                            h-6.24v4.3h5.33c0.22,0,0.41,0.08,0.57,0.23c0.15,0.15,0.23,0.34,0.23,0.57c0,0.22-0.08,0.41-0.23,0.57
                            c-0.15,0.15-0.34,0.23-0.57,0.23h-5.33v5.48c0,0.27-0.1,0.5-0.29,0.69c-0.2,0.2-0.43,0.29-0.69,0.29
                            C21.24,83.01,21.01,82.92,20.82,82.72z"/>
                        <path class="st0" d="M32.5,82.47c-0.76-0.43-1.37-1.05-1.82-1.86c-0.45-0.81-0.67-1.73-0.67-2.78s0.22-1.98,0.67-2.78
                            c0.45-0.8,1.05-1.42,1.82-1.86c0.76-0.43,1.61-0.65,2.53-0.65h0.06c0.92,0,1.77,0.22,2.53,0.65c0.76,0.43,1.37,1.05,1.82,1.86
                            c0.45,0.81,0.67,1.73,0.67,2.78s-0.22,1.98-0.67,2.78c-0.45,0.8-1.05,1.42-1.82,1.86c-0.76,0.43-1.61,0.65-2.53,0.65h-0.06
                            C34.11,83.12,33.26,82.9,32.5,82.47z M35.09,81.4c0.99,0,1.76-0.31,2.3-0.92c0.54-0.62,0.81-1.5,0.81-2.65
                            c0-1.15-0.27-2.03-0.81-2.65c-0.54-0.62-1.31-0.92-2.3-0.92h-0.06c-0.99,0-1.76,0.31-2.3,0.92c-0.54,0.62-0.81,1.5-0.81,2.65
                            c0,1.15,0.27,2.03,0.81,2.65c0.54,0.62,1.31,0.92,2.3,0.92H35.09z"/>
                        <path class="st0" d="M42.55,82.74c-0.18-0.18-0.27-0.4-0.27-0.65v-8.53c0-0.25,0.09-0.47,0.27-0.65c0.18-0.18,0.4-0.27,0.65-0.27
                            s0.47,0.09,0.65,0.27c0.18,0.18,0.27,0.4,0.27,0.65v0.1l0.46-0.23c0.64-0.32,1.18-0.55,1.6-0.69c0.42-0.14,0.78-0.21,1.09-0.21
                            c0.34,0,0.59,0.08,0.76,0.23s0.25,0.35,0.25,0.59c0,0.5-0.31,0.8-0.92,0.88c-1.22,0.17-2.23,0.4-3.04,0.69
                            c-0.08,0.03-0.14,0.07-0.16,0.12s-0.03,0.12-0.03,0.22v6.83c0,0.25-0.09,0.47-0.27,0.65c-0.18,0.18-0.4,0.27-0.65,0.27
                            S42.73,82.92,42.55,82.74z"/>
                        <path class="st0" d="M50,82.74c-0.18-0.18-0.27-0.4-0.27-0.65v-8.53c0-0.25,0.09-0.47,0.27-0.65c0.18-0.18,0.4-0.27,0.65-0.27
                            c0.24,0,0.44,0.08,0.62,0.25c0.17,0.17,0.28,0.37,0.3,0.61l0.46-0.25c0.42-0.22,0.86-0.4,1.32-0.52s0.89-0.19,1.28-0.19
                            c0.59,0,1.14,0.1,1.66,0.3c0.52,0.2,0.97,0.51,1.37,0.93l0.71-0.38c0.57-0.31,1.1-0.53,1.59-0.66c0.48-0.13,0.98-0.2,1.5-0.2
                            c0.57,0,1.11,0.09,1.61,0.28c0.5,0.19,0.92,0.45,1.27,0.79c0.34,0.32,0.59,0.71,0.76,1.18s0.25,1.03,0.25,1.7v5.61
                            c0,0.25-0.09,0.47-0.27,0.65c-0.18,0.18-0.4,0.27-0.65,0.27s-0.47-0.09-0.65-0.27c-0.18-0.18-0.27-0.4-0.27-0.65v-5.52
                            c0-0.46-0.04-0.82-0.13-1.08c-0.08-0.26-0.22-0.48-0.4-0.66c-0.38-0.36-0.99-0.55-1.85-0.55c-0.45,0-0.9,0.05-1.34,0.15
                            c-0.45,0.1-0.85,0.23-1.22,0.4c-0.11,0.07-0.18,0.12-0.2,0.15s-0.02,0.08-0.01,0.17c0.1,0.42,0.15,0.86,0.15,1.32v5.63
                            c0,0.25-0.09,0.47-0.27,0.65c-0.18,0.18-0.4,0.27-0.65,0.27c-0.25,0-0.47-0.09-0.65-0.27c-0.18-0.18-0.27-0.4-0.27-0.65v-5.52
                            c0-0.46-0.04-0.82-0.13-1.08c-0.08-0.26-0.22-0.48-0.4-0.66c-0.38-0.36-0.99-0.55-1.85-0.55c-0.88,0-1.72,0.19-2.52,0.57
                            c-0.08,0.04-0.14,0.08-0.16,0.13s-0.03,0.11-0.03,0.21v6.91c0,0.25-0.09,0.47-0.27,0.65c-0.18,0.18-0.4,0.27-0.65,0.27
                            S50.18,82.92,50,82.74z"/>
                        <path class="st0" d="M69.55,82.46c-0.69-0.44-1.22-1.06-1.61-1.86c-0.39-0.8-0.58-1.71-0.58-2.73c0-1.09,0.22-2.04,0.66-2.85
                            c0.44-0.8,1.02-1.42,1.73-1.85c0.71-0.43,1.46-0.64,2.25-0.64c0.46,0,0.91,0.06,1.33,0.19c0.43,0.13,0.89,0.32,1.38,0.59
                            l0.52,0.27v-0.02c0-0.25,0.09-0.47,0.27-0.65c0.18-0.18,0.4-0.27,0.65-0.27s0.47,0.09,0.65,0.27c0.18,0.18,0.27,0.4,0.27,0.65
                            v8.53c0,0.25-0.09,0.47-0.27,0.65c-0.18,0.18-0.4,0.27-0.65,0.27s-0.47-0.09-0.65-0.27c-0.18-0.18-0.27-0.4-0.27-0.65v-0.06
                            l-0.59,0.32c-0.52,0.28-0.99,0.48-1.41,0.6c-0.42,0.12-0.86,0.18-1.32,0.18C71.03,83.12,70.24,82.9,69.55,82.46z M73.69,81.22
                            c0.52-0.13,0.96-0.3,1.32-0.51c0.1-0.06,0.16-0.11,0.19-0.17c0.03-0.06,0.04-0.14,0.04-0.25v-4.91c0-0.13-0.02-0.22-0.05-0.27
                            c-0.04-0.06-0.1-0.11-0.2-0.17c-0.42-0.21-0.86-0.38-1.32-0.5s-0.9-0.19-1.32-0.19c-0.98,0-1.74,0.3-2.27,0.9s-0.8,1.5-0.8,2.71
                            c0,2.38,0.99,3.57,2.96,3.57C72.69,81.42,73.17,81.35,73.69,81.22z"/>
                        <path class="st0" d="M82.04,82.93c-0.4-0.13-0.72-0.31-0.96-0.55c-0.29-0.28-0.51-0.62-0.64-1.01c-0.13-0.39-0.2-0.89-0.2-1.49
                            v-5.73h-1.28c-0.2,0-0.37-0.07-0.51-0.21c-0.15-0.14-0.22-0.31-0.22-0.5s0.07-0.37,0.22-0.51c0.15-0.15,0.32-0.22,0.51-0.22h1.28
                            v-2.31c0-0.25,0.09-0.47,0.27-0.65c0.18-0.18,0.4-0.27,0.65-0.27s0.47,0.09,0.65,0.27c0.18,0.18,0.27,0.4,0.27,0.65v2.31h3
                            c0.2,0,0.36,0.07,0.5,0.22c0.14,0.15,0.21,0.32,0.21,0.51s-0.07,0.36-0.21,0.5c-0.14,0.14-0.31,0.21-0.5,0.21h-3v5.71
                            c0,0.31,0.02,0.56,0.07,0.75c0.05,0.19,0.13,0.35,0.24,0.49c0.22,0.27,0.59,0.4,1.09,0.4c0.34,0,0.9-0.11,1.7-0.34
                            c0.21-0.06,0.37-0.08,0.48-0.08c0.21,0,0.38,0.06,0.51,0.19c0.13,0.13,0.2,0.29,0.2,0.5c0,0.35-0.24,0.64-0.71,0.86
                            c-0.32,0.15-0.69,0.27-1.09,0.36s-0.81,0.13-1.22,0.13C82.88,83.12,82.44,83.05,82.04,82.93z"/>
                        <path class="st0" d="M89.51,82.47c-0.76-0.43-1.37-1.05-1.82-1.86c-0.45-0.81-0.67-1.73-0.67-2.78s0.22-1.98,0.67-2.78
                            c0.45-0.8,1.05-1.42,1.82-1.86c0.76-0.43,1.61-0.65,2.53-0.65h0.06c0.92,0,1.77,0.22,2.53,0.65c0.76,0.43,1.37,1.05,1.82,1.86
                            c0.45,0.81,0.67,1.73,0.67,2.78s-0.22,1.98-0.67,2.78c-0.45,0.8-1.05,1.42-1.82,1.86c-0.76,0.43-1.61,0.65-2.53,0.65h-0.06
                            C91.12,83.12,90.28,82.9,89.51,82.47z M92.11,81.4c0.99,0,1.76-0.31,2.3-0.92c0.54-0.62,0.81-1.5,0.81-2.65
                            c0-1.15-0.27-2.03-0.81-2.65c-0.54-0.62-1.31-0.92-2.3-0.92h-0.06c-0.99,0-1.76,0.31-2.3,0.92c-0.54,0.62-0.81,1.5-0.81,2.65
                            c0,1.15,0.27,2.03,0.81,2.65c0.54,0.62,1.31,0.92,2.3,0.92H92.11z"/>
                        <path class="st0" d="M105.57,82.72c-0.15-0.15-0.23-0.34-0.23-0.55s0.08-0.39,0.23-0.55c0.15-0.15,0.34-0.23,0.55-0.23h3.02
                            V71.02l-2.42,1.13c-0.35,0.17-0.62,0.25-0.82,0.25c-0.22,0-0.41-0.07-0.56-0.22c-0.15-0.15-0.22-0.33-0.22-0.56
                            c0-0.34,0.22-0.61,0.67-0.82l3.11-1.45c0.57-0.27,1.01-0.4,1.3-0.4c0.53,0,0.8,0.3,0.8,0.9V81.4h2.44c0.21,0,0.39,0.08,0.55,0.23
                            c0.15,0.15,0.23,0.34,0.23,0.55s-0.08,0.39-0.23,0.55c-0.15,0.15-0.34,0.23-0.55,0.23h-7.33
                            C105.9,82.95,105.72,82.87,105.57,82.72z"/>
                        <path class="st0" d="M127.27,76.85c0.41,0.6,0.62,1.31,0.62,2.13c0,0.56-0.09,1.08-0.28,1.55c-0.19,0.48-0.47,0.89-0.83,1.24
                            c-0.83,0.78-2.05,1.18-3.67,1.18h-4.83c-0.27,0-0.49-0.1-0.68-0.29c-0.19-0.2-0.28-0.43-0.28-0.69V70.01
                            c0-0.27,0.09-0.5,0.28-0.69c0.19-0.2,0.42-0.29,0.68-0.29h4.28c0.74,0,1.39,0.08,1.95,0.23s1.04,0.41,1.45,0.76
                            c0.76,0.64,1.13,1.5,1.13,2.56c0,0.63-0.13,1.21-0.4,1.74s-0.64,0.95-1.13,1.26C126.29,75.83,126.86,76.25,127.27,76.85z
                            M119.26,75.12h3.38c0.88,0,1.54-0.23,1.97-0.69c0.38-0.41,0.57-0.95,0.57-1.62c0-0.76-0.23-1.32-0.69-1.68
                            c-0.24-0.2-0.54-0.33-0.89-0.39c-0.36-0.06-0.77-0.09-1.23-0.09h-3.11V75.12z M125.9,78.85c0-0.76-0.24-1.32-0.71-1.68
                            c-0.24-0.18-0.54-0.31-0.9-0.39s-0.82-0.12-1.36-0.12h-3.65v4.66h3.57c0.56,0,1.03-0.05,1.42-0.16c0.38-0.1,0.7-0.28,0.96-0.51
                            C125.66,80.23,125.9,79.63,125.9,78.85z"/>
                    </g>
                </g>
                <g>
                    <g>
                        <path class="st0" d="M22.71,245.9c-10.57,0-19.16-8.6-19.16-19.16V22.71c0-10.57,8.6-19.16,19.16-19.16h351.43
                            c10.57,0,19.16,8.6,19.16,19.16v204.02c0,10.57-8.6,19.16-19.16,19.16H22.71z"/>
                        <path class="st1" d="M374.14,7.1c8.61,0,15.61,7,15.61,15.61v204.02c0,8.61-7,15.61-15.61,15.61H22.71
                            c-8.61,0-15.61-7-15.61-15.61V22.71c0-8.61,7-15.61,15.61-15.61H374.14 M374.14,0H22.71C10.17,0,0,10.17,0,22.71v204.02
                            c0,12.54,10.17,22.71,22.71,22.71h351.43c12.54,0,22.71-10.17,22.71-22.71V22.71C396.85,10.17,386.68,0,374.14,0L374.14,0z"/>
                    </g>
                    <path class="st1" d="M340.56,91.42c-1.92-1.55-4.73-1.25-6.28,0.66c0,0,0,0,0,0l-21.05,25.87l-13.95-17.15
                        c-1.56-1.91-4.37-2.2-6.29-0.64c-1.91,1.56-2.2,4.37-0.64,6.29l14.95,18.38l-14.95,18.38c-1.68,1.81-1.56,4.64,0.25,6.31
                        c1.81,1.68,4.64,1.56,6.31-0.25c0.13-0.14,0.26-0.3,0.37-0.46l13.95-17.15l21.05,25.88c1.56,1.92,4.37,2.21,6.29,0.65
                        c1.92-1.56,2.21-4.37,0.65-6.29l-22.07-27.11l22.07-27.11C342.76,95.78,342.47,92.97,340.56,91.42c-0.01,0-0.02,0-0.02-0.01
                        M229.15,142.72h-26.23c2.78-3.4,6.47-7.92,10.48-13.26l16.27-21.69c1.85-2.47,2.47-3.6,2.47-5.04c0-1.95-1.44-3.08-3.91-3.08
                        h-32.88c-1.96,0.03-3.52,1.64-3.5,3.6c-0.02,1.91,1.52,3.48,3.43,3.5c0.02,0,0.04,0,0.07,0h25.59c-2.78,3.28-7.4,9.04-10.59,13.25
                        l-16.44,21.69c-1.85,2.47-2.46,3.6-2.46,5.04c0,1.95,1.44,3.08,3.91,3.08h33.81c1.96-0.03,3.52-1.64,3.5-3.6
                        c0.01-1.91-1.52-3.48-3.44-3.49C229.2,142.72,229.17,142.72,229.15,142.72 M261.92,142.21h-0.31c-9.76,0-15.21-6.17-15.21-17.47
                        c0-11.3,5.44-17.47,15.21-17.47h0.31c9.76,0,15.21,6.17,15.21,17.47S271.69,142.21,261.92,142.21 M261.92,98.83h-0.31
                        c-13.46,0-24.56,10.07-24.56,25.9s11.1,25.9,24.56,25.9h0.31c13.47,0,24.56-10.07,24.56-25.9S275.39,98.83,261.92,98.83
                        M172.22,136.79c0,1.13-0.21,1.54-1.13,2.05c-4.2,2.19-8.84,3.39-13.57,3.5c-8.94,0-14.49-5.04-14.49-17.47
                        c0-12.04,5.55-17.67,15.01-17.67c4.52,0.13,8.95,1.29,12.95,3.39c1.02,0.51,1.23,0.92,1.23,2.16L172.22,136.79z M176.74,99.34
                        c-2.49,0.02-4.5,2.03-4.52,4.52v0.1l-2.57-1.34c-4.63-2.47-8.63-3.81-13.26-3.81c-11.31,0-22.74,9.46-22.74,26.08
                        c0,15.21,9.04,25.69,22.3,25.69c4.52,0,8.32-1.13,13.37-3.81l2.88-1.54v0.31c0,2.5,2.02,4.52,4.51,4.53c2.5,0,4.52-2.02,4.53-4.51
                        c0,0,0-0.01,0-0.01v-41.73c-0.02-2.49-2.03-4.5-4.52-4.52 M78.28,142.31c-4.71-0.13-9.32-1.36-13.46-3.6
                        c-0.77-0.31-1.24-1.1-1.13-1.93v-23.97c-0.12-0.83,0.35-1.64,1.13-1.95c4.22-2.24,8.9-3.47,13.67-3.6
                        c8.12,0,14.28,4.21,14.28,17.47C92.77,138.3,86.5,142.31,78.28,142.31 M80.13,98.84c-4.32,0-8.63,1.34-13.78,4.11l-2.67,1.44
                        v-0.51c0-2.5-2.02-4.52-4.52-4.52c-2.5,0-4.52,2.02-4.52,4.52c0,0,0,0,0,0.01v59.81c0,2.5,2.02,4.52,4.52,4.52
                        c2.5,0,4.52-2.02,4.52-4.52v-18.39l2.88,1.54c4.83,2.57,8.94,3.81,13.37,3.81c13.26,0,22.2-10.39,22.2-25.9
                        C102.13,109.01,92.58,98.83,80.13,98.84 M117.95,81.28c-2.49,0.02-4.5,2.03-4.52,4.52v59.83c0,2.5,2.02,4.52,4.52,4.52
                        c2.5,0,4.52-2.02,4.52-4.52V85.77c-0.02-2.49-2.03-4.5-4.52-4.52"/>
                </g>
            </g>
        </svg>

        <p class="more-info-link" onclick="togglePopupPlazoX(true)" style="margin: 0px;">{l s='¿Qué es plazox?' mod='plazoxindicator'}</p>
    </div>
{/if}

{include file='module:plazoxindicator/views/templates/hook/popup.tpl'}